function [x,y,p] = MNCP_ReSNA(FUNC,nabFUNC,n,el,x0,y0,p0)

%%   This file is a plugin for solving MNCP by means of ReSNA.
%%   For more detailed usage, please see the manual_MNCP_ReSNA.pdf.

%%  If [] is used for the intial point, then it is chosen randomly.

if nargin <= 6
    p0 = 2*rand(el,1) - 1;
    if nargin <= 5
        y0 = 2*rand(n,1) - 1;
        if nargin <=4
            x0 = 2*rand(n,1) - 1;
        end
    end
end
if isempty(x0)
    x0 = 2*rand(n,1) - 1;
end
if isempty(y0)
    y0 = 2*rand(n,1) - 1;
end
if isempty(p0)
    p0 = 2*rand(el,1) - 1;
end

%%  Solving by ReSNA

K = ones(1,n);
[x,y,p] = ReSNA(FUNC,nabFUNC,K,el,x0,y0,p0);
