function [x,y] = NCP_ReSNA(FUNC,nabFUNC,n,x0,y0)

%%   This file is a plugin for solving NCP by means of ReSNA.
%%   For more detailed usage, please see the manual_NCP_ReSNA.pdf.

%%  If [] is used for the intial point, then it is chosen randomly.

if nargin <= 4
    y0 = 2*rand(n,1) - 1;
    if nargin <= 3
        x0 = 2*rand(n,1) - 1;
    end
end
if isempty(x0)
    x0 = 2*rand(n,1) - 1;
end
if isempty(y0)
    y0 = 2*rand(n,1) - 1;
end

%%  Solving by ReSNA

el = 0;
p0 = [];
K = ones(1,n);
[x,y,~] = ReSNA(FUNC,nabFUNC,K,el,x0,y0,p0);